Forms
Send a form by email
Emails a link to the form to one address. The link is the form’s share URL when it has a public token. The email is queued, not sent while you wait. Returns 422 Failed to send email when the company has the email turned off, and 404 when the form isn’t one of your company’s.
POST
/
api
/
forms
/
{id}
/
send_mail
Send a form by email
curl --request POST \
--url https://api.fluid.app/api/forms/{id}/send_mail \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>"
}
'import requests
url = "https://api.fluid.app/api/forms/{id}/send_mail"
payload = { "email": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: '<string>'})
};
fetch('https://api.fluid.app/api/forms/{id}/send_mail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Authorizations
Bearer token authentication
Path Parameters
ID of the form.
Body
application/json
Email address to send the form link to. Required.
Response
object | null
Success
Confirmation message, such as Form deleted successfully or Email sent successfully.
⌘I
Send a form by email
